declare option ddtek:serialize "omit-xml-declaration=no, indent=yes";
let $InputName := "ZZZ-001"
let $InputFileXMLMeta := doc(concat($InputName, ".file.metadata.xml"))
return
 <sip>
	<!--
	xmlns="urn:x-emc:ia:schema:sip:1.0" needed for IA but causes incorrect
	values for aiu_count and page_count
	declare default element namespace "urn:x-emc:ia:schema:sip:1.0";
	=> proper ns in output but xPath return KO
	declare default element namespace = "";
	=> missing ns in output but xPath return OK
	NO declare default element namespace = "";
	=> same as above
	same above + ns in return
	=> proper ns in output, xPath return OK but added xmlns="" to all children of sip
	-->
	<dss>
      <holding>ZZZStatements</holding>
      <id>201611101</id>
      <pdi_schema>urn:eas-samples:en:xsd:anz_statements.1.0</pdi_schema>
      <pdi_schema_version></pdi_schema_version>
      <production_date>2016-11-10T09:17:40.958-06:00</production_date>
      <base_retention_date>2017-11-10T09:17:40.958-06:00</base_retention_date>
      <producer>WealthManagement</producer>
      <entity></entity>
      <priority>0</priority>
      <application>xPression</application>
    </dss>
    <production_date>2016-11-10T09:17:40.958-06:00</production_date>
    <seqno>1</seqno>
    <is_last>true</is_last>
    <aiu_count>
      { data($InputFileXMLMeta/Partition/Attr[@name = "CurrentPackageInPartition"]/@value) }
    </aiu_count>
    <page_count>
      { data($InputFileXMLMeta/Partition/Attr[@name = "TotalPagesInPartition"]/@value) }
    </page_count>
</sip>(: Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" useresolver="yes" url="" outputurl="" processortype="datadirect" tcpport="0" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline=""
		          additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no" validator="internal"
		          customvalidator="">
			<advancedProperties name="DocumentURIResolver" value=""/>
			<advancedProperties name="CollectionURIResolver" value=""/>
			<advancedProperties name="ModuleURIResolver" value=""/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)